Get users by group profile
curl --request GET \
--url https://api-stage.karmacheck.io/company/user/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/company/user/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/company/user/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-stage.karmacheck.io/company/user/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-stage.karmacheck.io/company/user/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-stage.karmacheck.io/company/user/list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-stage.karmacheck.io/company/user/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"users": [
{
"id": "f7bdbab9-fb9f-4c24-928d-91700030e5bc",
"givenName": "John",
"familyName": "Doe",
"enabled": 0
},
{
"id": "f7bdbab9-fb9f-4c24-928d-91700030e5ab",
"givenName": "Jane",
"familyName": "Doe",
"enabled": 1
}
]
}Users
Get users by group profile
Gets the users for every group within the company that the authenticated user belongs to.
If the groupProfileId query parameter is included, the endpoint retrieves users associated with only the specified group.
GET
/
company
/
user
/
list
Get users by group profile
curl --request GET \
--url https://api-stage.karmacheck.io/company/user/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/company/user/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/company/user/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-stage.karmacheck.io/company/user/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-stage.karmacheck.io/company/user/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-stage.karmacheck.io/company/user/list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-stage.karmacheck.io/company/user/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"users": [
{
"id": "f7bdbab9-fb9f-4c24-928d-91700030e5bc",
"givenName": "John",
"familyName": "Doe",
"enabled": 0
},
{
"id": "f7bdbab9-fb9f-4c24-928d-91700030e5ab",
"givenName": "Jane",
"familyName": "Doe",
"enabled": 1
}
]
}